Subject: Re: bug#2195: 23.0.60; frame-notice-user-settings: Font is not defined

From: Stephen Berman <[email-masked]>
Date: Mon, 16 Mar 2009 22:54:14 +0100

On Sun, 15 Mar 2009 21:47:36 -0400 Chong Yidong <[email-masked]> wrote:

>> Let  ~/.emacs consist of this:
>>
>> (setq default-frame-alist '((font-backend . "xft") (font . "Dejavu Sans
>> Mono-10")))
>>
>> Then when I invoke `emacs' it beeps and show this message:
>>
>> frame-notice-user-settings: Font `-misc-dejavu sans
>> mono-medium-r-normal--12-116-75-75-m-70-iso8859-1' is not defined
>
> ISTR that I could reproduce this before, but not anymore with latest
> CVS.  Maybe it's been fixed in the latest changes to font handling.  Do
> you still see this problem occurring?

No; I cannot reproduce it with my latest build, GNU Emacs 23.0.91.4
(i686-pc-linux-gnu, GTK+ Version 2.14.4) of 2009-03-15 on escher. 

Steve Berman